Zum Hauptinhalt springen

task-getNextTasks

Returns the next tasks for the current user (agent) with calculated scheduling metadata: latest start, deadline, score, blocking, subtasks, and optional duration fields. Same data as the Next Tasks UI list.

Query Parameters
limit integer

Possible values: 1 ≤ value ≤ 500

status string[]

Possible values: [pending, running, completed, failed, cancelled, sleeping, waiting, blocked]

Responses
200

Successful response

Schema — OPTIONAL
object[]
task object
id uuid

Possible values: Value must match regular expression ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

shortId string
kind string

Possible values: [chat, task, project, goal, decision]

type string
status string

Possible values: [pending, running, completed, failed, cancelled, sleeping, waiting, blocked]

conversationStatus
conclusion
concludedMessageId
priority number
data
result — OPTIONAL
error
progress — OPTIONAL
progressMessage — OPTIONAL
updatedAt string
createdAt string
startedAt
completedAt
scheduledFor
spaceId
creatorId
chunkId
retries number
maxRetries number
nextRetryAt
lockedBy
lockedAt
triggerId
state — OPTIONAL
retainUntil
agentId
toolId
repeat
repetitionPattern
repetitionText
repetitionOf
repetitionTimeout — OPTIONAL
name
description
minDuration
maxDuration
deadline
sourceUrl
sourceType
sourceId
blockedBy (circular)[]
latestStart array
deadline array
score number
effectivePriority number
inheritedPriority number
isRecursive boolean
superTasks object[]
id uuid

Possible values: Value must match regular expression ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

shortId string — OPTIONAL
kind string — OPTIONAL

Possible values: [chat, task, project, goal, decision]

type string
status string — OPTIONAL

Possible values: [pending, running, completed, failed, cancelled, sleeping, waiting, blocked]

conversationStatus — OPTIONAL
conclusion — OPTIONAL
concludedMessageId — OPTIONAL
priority number — OPTIONAL
data — OPTIONAL
result — OPTIONAL
error — OPTIONAL
progress — OPTIONAL
progressMessage — OPTIONAL
updatedAt string — OPTIONAL
createdAt string — OPTIONAL
startedAt — OPTIONAL
completedAt — OPTIONAL
scheduledFor — OPTIONAL
spaceId — OPTIONAL
creatorId — OPTIONAL
chunkId — OPTIONAL
retries number — OPTIONAL
maxRetries number — OPTIONAL
nextRetryAt — OPTIONAL
lockedBy — OPTIONAL
lockedAt — OPTIONAL
triggerId — OPTIONAL
state — OPTIONAL
retainUntil — OPTIONAL
agentId — OPTIONAL
toolId — OPTIONAL
repeat — OPTIONAL
repetitionPattern — OPTIONAL
repetitionText — OPTIONAL
repetitionOf — OPTIONAL
repetitionTimeout — OPTIONAL
name
description — OPTIONAL
minDuration — OPTIONAL
maxDuration — OPTIONAL
deadline — OPTIONAL
sourceUrl — OPTIONAL
sourceType — OPTIONAL
sourceId — OPTIONAL
subTasks (circular)[]
matchesFilter boolean
nestedLatestStart array — OPTIONAL
effectiveDuration number — OPTIONAL
additionalTime number — OPTIONAL
totalDuration array — OPTIONAL
400

Invalid input data

Schema — OPTIONAL
message string

The error message

code string

The error code

issues object[] — OPTIONAL

An array of issues that were responsible for the error

message string
401

Authorization not provided

Schema — OPTIONAL
message string

The error message

code string

The error code

issues object[] — OPTIONAL

An array of issues that were responsible for the error

message string
403

Insufficient access

Schema — OPTIONAL
message string

The error message

code string

The error code

issues object[] — OPTIONAL

An array of issues that were responsible for the error

message string
404

Not found

Schema — OPTIONAL
message string

The error message

code string

The error code

issues object[] — OPTIONAL

An array of issues that were responsible for the error

message string
500

Internal server error

Schema — OPTIONAL
message string

The error message

code string

The error code

issues object[] — OPTIONAL

An array of issues that were responsible for the error

message string